Skip to main content
GET
/
labels
/
{labelId}
Get a label by ID
curl --request GET \
  --url https://api.portkey.ai/v1/labels/{labelId} \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/labels/{labelId}"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/labels/{labelId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "color_code": "<string>",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_universal": true,
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z",
  "status": "<string>"
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "param": "<string>",
    "type": "<string>"
  }
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

labelId
string<uuid>
required

ID of the label to retrieve

Query Parameters

organisation_id
string<uuid>

ID of the organisation

workspace_id
string

ID or slug of the workspace

Response

Label details

id
string<uuid>

Unique identifier for the label

name
string

Name of the label

description
string

Description of the label

color_code
string

Color code for the label

organisation_id
string<uuid>

ID of the organisation the label belongs to

workspace_id
string<uuid>

ID of the workspace the label belongs to

is_universal
boolean

Whether the label is universal

created_at
string<date-time>

When the label was created

last_updated_at
string<date-time>

When the label was last updated

status
string

Status of the label

Last modified on April 7, 2025